import { cn } from "./util/cn";


export function Button({ children, className, onClick }: {
    children: React.ReactNode; className?: string; onClick?: () => void
}) {
    return <button
        onClick={onClick}
        className={cn(`
            bg-[#3b4890] 
            text-white
            text-shadow-[#1d2761_0px_-1px]
            cursor-pointer 
            align-middle
            text-sm
            font-apple
            font-bold
            w-[82px]
            h-[35px]
            pr-0.5
            leading-[31px]
            ml-[3px]
            border
            border-solid 
            border-custom-blue-dark
            border-b-[3px]
            rounded-xs
        `, className)}
    >
        {children}
    </button>
}